OGRE-Next: Ogre::AnyNumeric Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::AnyNumeric Class Reference
Core » General

Specialised Any class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / . More...

`#include <OgreAny.h>`

Inheritance diagram for Ogre::AnyNumeric:
[legend]

## Public Member Functions
| AnyNumeric ()
| AnyNumeric (const AnyNumeric &other)
template<typename ValueType>
| AnyNumeric (const ValueType &value)
virtual | ~AnyNumeric ()
AnyNumeric | operator* (const AnyNumeric &rhs) const
AnyNumeric | operator* (Real factor) const
AnyNumeric & | operator*= (const AnyNumeric &rhs)
AnyNumeric | operator+ (const AnyNumeric &rhs) const
AnyNumeric & | operator+= (const AnyNumeric &rhs)
AnyNumeric | operator- (const AnyNumeric &rhs) const
AnyNumeric & | operator-= (const AnyNumeric &rhs)
AnyNumeric | operator/ (const AnyNumeric &rhs) const
AnyNumeric & | operator/= (const AnyNumeric &rhs)
AnyNumeric & | operator= (const AnyNumeric &rhs)
Public Member Functions inherited from Ogre::Any
| Any ()
| Any (const Any &other)
template<typename ValueType>
| Any (const ValueType &value)
virtual | ~Any ()
void | destroy ()
template<typename ValueType>
ValueType | get () const
const std::type_info & | getType () const
bool | has_value () const
bool | isEmpty () const
template<typename ValueType>
ValueType | operator() () const
Any & | operator= (const Any &rhs)
template<typename ValueType>
Any & | operator= (const ValueType &rhs)
void | reset ()
Any & | swap (Any &rhs)
const std::type_info & | type () const

## Detailed Description

Specialised Any class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / .

## Constructor & Destructor Documentation

## ◆ AnyNumeric() [1/3]

Ogre::AnyNumeric::AnyNumeric | ( |  | ) |
| inline

References Ogre::Any::Any().

Referenced by AnyNumeric(), operator*(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), and operator=().

## ◆ AnyNumeric() [2/3]

template<typename ValueType>

Ogre::AnyNumeric::AnyNumeric | ( | const ValueType & | value | ) |
| inline

References Ogre::MEMCATEGORY_GENERAL, and OGRE_NEW_T.

## ◆ AnyNumeric() [3/3]

Ogre::AnyNumeric::AnyNumeric | ( | const AnyNumeric & | other | ) |
| inline

References Ogre::Any::Any(), and AnyNumeric().

## ◆ ~AnyNumeric()

virtual Ogre::AnyNumeric::~AnyNumeric | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ operator*() [1/2]

AnyNumeric Ogre::AnyNumeric::operator* | ( | const AnyNumeric & | rhs | ) | const
| inline

References AnyNumeric().

## ◆ operator*() [2/2]

AnyNumeric Ogre::AnyNumeric::operator* | ( | Real | factor | ) | const
| inline

References AnyNumeric().

## ◆ operator*=()

AnyNumeric & Ogre::AnyNumeric::operator*= | ( | const AnyNumeric & | rhs | ) |
| inline

References AnyNumeric().

## ◆ operator+()

AnyNumeric Ogre::AnyNumeric::operator+ | ( | const AnyNumeric & | rhs | ) | const
| inline

References AnyNumeric().

## ◆ operator+=()

AnyNumeric & Ogre::AnyNumeric::operator+= | ( | const AnyNumeric & | rhs | ) |
| inline

References AnyNumeric().

## ◆ operator-()

AnyNumeric Ogre::AnyNumeric::operator- | ( | const AnyNumeric & | rhs | ) | const
| inline

References AnyNumeric().

## ◆ operator-=()

AnyNumeric & Ogre::AnyNumeric::operator-= | ( | const AnyNumeric & | rhs | ) |
| inline

References AnyNumeric().

## ◆ operator/()

AnyNumeric Ogre::AnyNumeric::operator/ | ( | const AnyNumeric & | rhs | ) | const
| inline

References AnyNumeric().

## ◆ operator/=()

AnyNumeric & Ogre::AnyNumeric::operator/= | ( | const AnyNumeric & | rhs | ) |
| inline

References AnyNumeric().

## ◆ operator=()

AnyNumeric & Ogre::AnyNumeric::operator= | ( | const AnyNumeric & | rhs | ) |
| inline

References AnyNumeric().

The documentation for this class was generated from the following file:

- OgreAny.h